// #autoload
// #name = TagAnnounce
// #version = 0.1
// #date = February 13, 2003
// #author = ilys
// #warrior = ilys
// #description = Tells you when a clanmate has joined the server, left the server, joined your team or joined the enemies team.
// #status = beta
// #category = ilys' Scripts
// #credits = X2 for the idea. Pretend for the reason.
// #config = TagAnnounceGUI
// #include = support/callback.cs
// #include = support/team_tracker.cs

$TA::Sounds = 1;
$TA::Time = 5000;
$TA::Trans = 1;

$TA::ClanmateJoinObs = 1;
$TA::ClanmateJoinTeam = 1;
$TA::ClanmateJoinYourTeam = 1;
$TA::ClanmateJoinEnemyTeam = 1;
$TA::ClanmateJoinServer = 1;
$TA::ClanmateLeaveServer = 1;

$TA::ClanmateJoinObsId = 2;
$TA::ClanmateJoinTeamId = 0;
$TA::ClanmateJoinYourTeamId = 1;
$TA::ClanmateJoinEnemyTeamId = 0;
$TA::ClanmateJoinId = 4;
$TA::ClanmateDropId = 3;

if(!isFile("prefs/TagAnnouncePrefs.cs"))
	export("$TA::*", "prefs/TagAnnouncePrefs.cs", false);

exec("prefs/TagAnnouncePrefs.cs");

package TagAnnounce
{
	function PlayGui::onWake(%this)
	{
		callback.add(CallbackMsgClientJoin, "handleTAJoin");
		callback.add(CallbackMsgClientJoinTeam, "handleTAJoinTeam");
		callback.add(CallbackMsgClientDrop, "handleTADrop");

		parent::onWake(%this);

		if(!isObject(PlayGui)) return;
		
		if(isObject(TagAnnounceHUD)) return;

		new GuiControlProfile ("TARed")
		{
			fontType = "Supertouch";
			fontSize = 14;
			fontColor = "255 0 0";
			autoSizeWidth = false;
			autoSizeHeight = true;
			justify = "center";
		};

		new GuiControlProfile ("TAGreen")
		{
			fontType = "Supertouch";
			fontSize = 14;
			fontColor = "23 236 67";
			autoSizeWidth = false;
			autoSizeHeight = true;
			justify = "center";
		};

		new GuiControlProfile ("TABlue")
		{
			fontType = "Supertouch";
			fontSize = 14;
			fontColor = "67 67 255";
			autoSizeWidth = false;
			autoSizeHeight = true;
			justify = "center";
		};

		new GuiControlProfile ("TAYellow")
		{
			fontType = "Supertouch";
			fontSize = 14;
			fontColor = "255 205 0";
			autoSizeWidth = false;
			autoSizeHeight = true;
			justify = "center";
		};

		new GuiControlProfile ("TAOrange")
		{
			fontType = "Supertouch";
			fontSize = 14;
			fontColor = "255 150 0";
			autoSizeWidth = false;
			autoSizeHeight = true;
			justify = "center";
		};

		new GuiControlProfile ("TAOrange")
		{
			fontType = "Supertouch";
			fontSize = 14;
			fontColor = "255 150 0";
			autoSizeWidth = false;
			autoSizeHeight = true;
			justify = "center";
		};

		new GuiControlProfile ("TABlack")
		{
			fontType = "Supertouch";
			fontSize = 14;
			fontColor = "0 0 0";
			autoSizeWidth = false;
			autoSizeHeight = true;
			justify = "center";
		};

		%posX = getWord(outerChatHud.position, 0);
		%extentX = getWord(outerChatHud.extent, 0);
		%posY = getWord(outerChatHud.extent, 1);

		new ShellFieldCtrl(TagAnnounceHUD)
		{
			horizSizing = "right";
			vertSizing = "bottom";
			position = %posX @ " " @ (%posY + 10);
			extent = (%posX+%extentX-9) @ " " @ 18;
			minExtent = "8 8";
			visible = "0";

			new GuiTextCtrl(TagAnnounceText)
			{
				profile = "PAwhite";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "7 0";
				extent = (%posX+%extentX) @ " " @ 18;
				visible = "1";
			};
		};
		TagAnnounceHUD.profile = $TA::Trans ? "GuiConsoleProfile" : "GuiChatBackProfile";
		playGui.add(TagAnnounceHUD);
		if(isObject(HM) && isObject(HudMover))
		{
			hudmover::addhud(TagAnnounceHUD,"TagAnnounceHUD");
		}
	}
};
activatePackage(TagAnnounce);

function handleTAJoin(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid)
{
	commandToServer('getScores');
	%myname = teamTracker.myName;
	%mytag = teamTracker.myTag;
	%joinname = detag(%clientName);
	%ismyteam = Strstr(%msgString, %mytag);

	if(PlayGUI.isAwake())
	{
		if($TA::ClanmateJoinServer && %ismyteam > 0)
		{
			setTAProfile($TA::ClanmateJoinId);
			%msg = "Clanmate, " @ %joinname @ " Joined The Game";
			DisplayMsg(%msg);
		}
	}
}

function handleTADrop(%msgType, %msgString, %clientName, %clientId)
{
	commandToServer('getScores');
	%myname = teamTracker.myName;
	%myteam = teamTracker.getPlayerTeamId(%myname);
	%mytag = teamTracker.myTag;
	%joinname = detag(%clientName);
	%jointeam = teamTracker.getPlayerTeamId(%joinname);
	%ismyteam = Strstr(%msgString, %mytag);

	if(PlayGUI.isAwake())
	{
		if($TA::ClanmateLeaveServer && %ismyteam > 0)
		{
			setTAProfile($TA::ClanmateDropId);
			%msg = "Clanmate, " @ %joinname @ " Left The Game";
			DisplayMsg(%msg);
		}
	}
}

function handleTAJoinTeam(%msgType, %msgString, %clientName, %teamName, %clientId, %teamId)
{
	commandToServer('getScores');
	%myname = teamTracker.myName;
	%myteam = teamTracker.getPlayerTeamId(%myname);
	%mytag = teamTracker.myTag;
	%joinname = detag(%clientName);
	%jointeam = detag(%teamId);
	%ismyteam = Strstr(%msgString, %mytag);
	%jointeamname = detag(%teamName);

	if(PlayGUI.isAwake())
	{
		if(%joinname != %myname && %ismyteam)
		{
			if(%jointeam == 0 && $TA::ClanmateJoinObs > 0)
			{
				setTAProfile($TA::ClanmateJoinObsId);
				%msg = "Clanmate, " @ %joinname @ " Joined The Observers";
				DisplayMsg(%msg);
			}
			if(%jointeam == %myteam && %myteam != 0 && $TA::ClanmateJoinYourTeam)
			{
				setTAProfile($TA::ClanmateJoinYourTeamId);
				%msg = "Clanmate, " @ %joinname @ " Joined Your Team";
				DisplayMsg(%msg);
			}
			if(%jointeam != %myteam && %jointeam != 0 && %myteam != 0 && $TA::ClanmateJoinEnemyTeam)
			{
				setTAProfile($TA::ClanmateJoinEnemyTeamId);
				%msg = "Clanmate, " @ %joinname @ " Joined The Enemy Team";
				DisplayMsg(%msg);
			}
			if(%jointeam != %myteam && %myteam == 0 && $TA::ClanmateJoinTeam)
			{
				setTAProfile($TA::ClanmateJoinTeamId);
				%msg = %joinname @ " Joined " @ %jointeamname;
				DisplayMsg(%msg);
			}
		}
	}
}

function setTAProfile(%Id)
{
	error(%Id);
	if(%Id == 0)
		TagAnnounceText.setProfile(TARed);
	else if(%Id == 1)
		TagAnnounceText.setProfile(TAGreen);
	else if(%Id == 2)
		TagAnnounceText.setProfile(TABlue);
	else if(%Id == 3)
		TagAnnounceText.setProfile(TAYellow);
	else if(%Id == 4)
		TagAnnounceText.setProfile(TAOrange);
	else if(%Id == 5)
		TagAnnounceText.setProfile(TAWhite);
	else if(%Id == 6)
		TagAnnounceText.setProfile(TABlack);
}

function DisplayMsg(%msg)
{
	if($TA::Sounds)
		alxPlay(alxCreateSource(AudioChat, "fx/misc/warning_beep.wav"));

	if(isEventPending($TASched))
	{
		ClearDisplayMsg();
		cancel($TASched);
	}
	TagAnnounceText.setValue(%msg);
	TagAnnounceHUD.setVisible(true);
	$TASched = schedule($TA::Time, 0, ClearDisplayMsg);
}

function ClearDisplayMsg()
{
	TagAnnounceText.setValue(" ");
	TagAnnounceHUD.setVisible(false);
}

function TagAnnounceSavePrefs()
{
	if($TA:Trans)
		TagAnnounceHUD.setProfile = "GuiConsoleProfile";
	else
		TagAnnounceHUD.setProfile = "GuiChatBackProfile";

	export("$TA::*", "prefs/TagAnnouncePrefs.cs", false);
}

function TagAnnounceGUI::OnWake()
{
	if(!$setcolouroptions)
	{
		ClanmateJoinColourPopup.add("Red", 0);
		ClanmateJoinColourPopup.add("Green", 1);
		ClanmateJoinColourPopup.add("Blue", 2);
		ClanmateJoinColourPopup.add("Yellow", 3);
		ClanmateJoinColourPopup.add("Orange", 4);
		ClanmateJoinColourPopup.add("White", 5);
		ClanmateJoinColourPopup.add("Black", 6);

		ClanmateDropColourPopup.add("Red", 0);
		ClanmateDropColourPopup.add("Green", 1);
		ClanmateDropColourPopup.add("Blue", 2);
		ClanmateDropColourPopup.add("Yellow", 3);
		ClanmateDropColourPopup.add("Orange", 4);
		ClanmateDropColourPopup.add("White", 5);
		ClanmateDropColourPopup.add("Black", 6);

		ClanmateJoinObsColourPopup.add("Red", 0);
		ClanmateJoinObsColourPopup.add("Green", 1);
		ClanmateJoinObsColourPopup.add("Blue", 2);
		ClanmateJoinObsColourPopup.add("Yellow", 3);
		ClanmateJoinObsColourPopup.add("Orange", 4);
		ClanmateJoinObsColourPopup.add("White", 5);
		ClanmateJoinObsColourPopup.add("Black", 6);

		ClanmateJoinYourTeamColourPopup.add("Red", 0);
		ClanmateJoinYourTeamColourPopup.add("Green", 1);
		ClanmateJoinYourTeamColourPopup.add("Blue", 2);
		ClanmateJoinYourTeamColourPopup.add("Yellow", 3);
		ClanmateJoinYourTeamColourPopup.add("Orange", 4);
		ClanmateJoinYourTeamColourPopup.add("White", 5);
		ClanmateJoinYourTeamColourPopup.add("Black", 6);

		ClanmateJoinEnemyTeamColourPopup.add("Red", 0);
		ClanmateJoinEnemyTeamColourPopup.add("Green", 1);
		ClanmateJoinEnemyTeamColourPopup.add("Blue", 2);
		ClanmateJoinEnemyTeamColourPopup.add("Yellow", 3);
		ClanmateJoinEnemyTeamColourPopup.add("Orange", 4);
		ClanmateJoinEnemyTeamColourPopup.add("White", 5);
		ClanmateJoinEnemyTeamColourPopup.add("Black", 6);

		ClanmateJoinTeamColourPopup.add("Red", 0);
		ClanmateJoinTeamColourPopup.add("Green", 1);
		ClanmateJoinTeamColourPopup.add("Blue", 2);
		ClanmateJoinTeamColourPopup.add("Yellow", 3);
		ClanmateJoinTeamColourPopup.add("Orange", 4);
		ClanmateJoinTeamColourPopup.add("White", 5);
		ClanmateJoinTeamColourPopup.add("Black", 6);

		$setcolouroptions = true;
	}

	ClanmateJoinColourPopup.setSelected($TA::ClanmateJoinId);
	ClanmateDropColourPopup.setSelected($TA::ClanmateDropId);
	ClanmateJoinObsColourPopup.setSelected($TA::ClanmateJoinObsId);
	ClanmateJoinYourTeamColourPopup.setSelected($TA::ClanmateJoinYourTeamId);
	ClanmateJoinEnemyTeamColourPopup.setSelected($TA::ClanmateJoinEnemyTeamId);
	ClanmateJoinTeamColourPopup.setSelected($TA::ClanmateJoinTeamId);
}

new GuiControl(TagAnnounceGUI) {
	profile = "GuiDefaultProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 0";
	extent = "325 300";
	minExtent = "325 300";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";

	new ShellFieldCtrl() {
		profile = "ShellFieldProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "325 300";
		minExtent = "16 18";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";

		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 10";
			extent = "150 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::Sounds";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			text = "Sounds";
			longTextBuffer = "0";
			maxLength = "255";
		};

		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "160 10";
			extent = "150 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::Trans";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			text = "Transparency";
			longTextBuffer = "0";
			maxLength = "255";
		};

		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 35";
			extent = "150 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::ClanmateJoinTeam";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			text = "Clanmate Join Team";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "160 35";
			extent = "150 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::ClanmateJoinObs";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			text = "Clanmate Join Obs";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 60";
			extent = "150 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::ClanmateJoinYourTeam";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			text = "Clanmate Join Your Team";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "160 60";
			extent = "150 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::ClanmateJoinEnemyTeam";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			text = "Clanmate Join Enemy Team";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 85";
			extent = "150 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::ClanmateJoinServer";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			text = "Clanmate Join Game";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellToggleButton() {
			profile = "ShellRadioProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "160 85";
			extent = "150 30";
			minExtent = "26 27";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::ClanmateLeaveServer";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			text = "Clanmate Left Game";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new GuiTextCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "45 230";
			extent = "160 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Hide Delay (ms)";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellTextEditCtrl() {
			profile = "NewTextEditProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "30 240";
			extent = "110 30";
			minExtent = "32 30";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "$TA::Time";
			command = "TagAnnounceSavePrefs();";
			helpTag = "0";
			longTextBuffer = "0";
			maxLength = "255";
			historySize = "0";
			password = "0";
			IRCName = "0";
			tabComplete = "0";
			glowOffset = "9 9";
		};
		new GuiTextCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "200 110";
			extent = "160 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Clanmate Join";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(ClanmateJoinColourPopup) {
			profile = "ShellPopupProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "160 120";
			extent = "160 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			longTextBuffer = "0";
			command = "$TA::ClanmateJoinId = ClanmateJoinColourPopup.getSelected(); TagAnnounceSavePrefs();";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "50 110";
			extent = "160 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Clanmate Drop";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(ClanmateDropColourPopup) {
			profile = "ShellPopupProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 120";
			extent = "160 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			longTextBuffer = "0";
			command = "$TA::ClanmateDropId = ClanmateDropColourPopup.getSelected(); TagAnnounceSavePrefs();";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "40 150";
			extent = "160 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Clanmate Join Obs";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(ClanmateJoinObsColourPopup) {
			profile = "ShellPopupProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 160";
			extent = "160 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			longTextBuffer = "0";
			command = "$TA::ClanmateJoinObsId = ClanmateJoinObsColourPopup.getSelected(); TagAnnounceSavePrefs();";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "185 150";
			extent = "160 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Clanmate Join Team";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(ClanmateJoinTeamColourPopup) {
			profile = "ShellPopupProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "160 160";
			extent = "160 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			longTextBuffer = "0";
			command = "$TA::ClanmateJoinTeamId = ClanmateJoinTeamColourPopup.getSelected(); TagAnnounceSavePrefs();";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "30 190";
			extent = "160 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Clanmate Join Your Team";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(ClanmateJoinYourTeamColourPopup) {
			profile = "ShellPopupProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 200";
			extent = "160 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			longTextBuffer = "0";
			command = "$TA::ClanmateJoinYourTeamId = ClanmateJoinYourTeamColourPopup.getSelected(); TagAnnounceSavePrefs();";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
		new GuiTextCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "175 190";
			extent = "160 20";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Clanmate Join Enemy Team";
			longTextBuffer = "0";
			maxLength = "255";
		};
		new ShellPopupMenu(ClanmateJoinEnemyTeamColourPopup) {
			profile = "ShellPopupProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "160 200";
			extent = "160 36";
			minExtent = "49 36";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			longTextBuffer = "0";
			command = "$TA::ClanmateJoinEnemyTeamId = ClanmateJoinEnemyTeamColourPopup.getSelected(); TagAnnounceSavePrefs();";
			maxLength = "255";
			maxPopupHeight = "200";
			buttonBitmap = "gui/shll_pulldown";
			rolloverBarBitmap = "gui/shll_pulldownbar_rol";
			selectedBarBitmap = "gui/shll_pulldownbar_act";
			noButtonStyle = "0";
		};
	};
};